let tipoCarga           = '';
let tipoCargaPermitida  = ['pallet','granel'];
let tipoCargaMax        = 1;

$(document).ready(function() {

});

function gestionReservasClienteTipoChange() {
    let clienteTipoControl = $('#cmb_clienteTipo');
    let clienteTipo        = clienteTipoControl.val();
    
    $('#divCliente').hide();

    if ( clienteTipo == 'Cliente') {
        $('#lbl_Numero').text('Nro. Pedido')
        $('#divCliente').hide();
        $('#cmb_tipoOrden').val('102001');
    } else if (clienteTipo == 'Proveedor Sils') {
        $('#lbl_Numero').text('Nro. Orden')
        $('#cmb_tipoOrden').val('102002');
        $('#divCliente').hide();
    } else if (clienteTipo == 'Proveedor Cliente') {
        $('#lbl_Numero').text('Nro. Pedido');
        $('#cmb_tipoOrden').val('102001');
        $('#divCliente').show();
    }
}

function cargarNombreEncargado() {
    let v_rut = $('#txt_rut').val();
    $('#txt_reenId').val('');
    $('#txt_nombre').val('');
    if( v_rut.length > 0 ) {
        $.ajax({
            type : 'post',
            url  : 'gestionReservasEncargadoEntregaCargar-ajax.php',
            data : {
                par1: v_rut
            },
            dataType: 'json',
            beforeSend: function(){
                $('#span_txt_nombre').show();
            },
            success: function(data) {
                $('#txt_reenId').val(data.id);
                $('#txt_nombre').val(data.nombre);
            },
            error: function(msg) {
              //  modalMensajeMostrar('Recuperar Información', 'No se pudo cargar la información del Encargado');
            },
            complete: function() {
                $('#span_txt_nombre').hide();
            }
        })
    }
}

function cargarNombreCliente() {
    let clienteControl = $('#cmb_cliente');
    let clienteId      = clienteControl.val();
    $('#txt_persCliId').val('');
    $('#txt_nombreCliente').val('');
    if( clienteId != null ) {
        clienteId = clienteId[0];
        let v_rutClie = $('#txt_rutCliente').val();
        if( v_rutClie.length > 0 ) {
            $.ajax({
                type: 'post',
                url: 'gestionReservasClienteCargar-ajax.php',
                data: {
                    par1: clienteId,
                    par2: v_rutClie
                },
                dataType: 'json',
                beforeSend: function(){
                    $('#span_txt_nombreCliente').show();
                },
                success: function(data) {
                    $('#txt_nombreCliente').val(data.nombre);
                    if( data.encontrado ) {
                        $('#txt_persCliId').val(data.id);
                    } else {
                        $('#txt_persCliId').val('');
                        $('#txt_rutCliente').val('');
                    }
                },
                error: function(msg) {
                    modalMensajeMostrar('Recuperar Información', 'No se pudo cargar la información del Cliente');
                },
                complete: function() {
                    $('#span_txt_nombreCliente').hide();
                }
            })
        }
    }
}

function gestionReservasTipoCargaChange() {
    cantidadVisibilidadVerificar();
    cantidadVerificar();
}

function cantidadVisibilidadVerificar() {
    tipoCargaVerificar();
    // $('#lbl_cantidad').hide();
    // $('#txt_cantidad').hide();
    // alert(tipoCarga.length)
    if( tipoCarga.length > 0 && jQuery.inArray( tipoCarga, tipoCargaPermitida) >= 0 ) {
        // alert(1)
        // $('#lbl_Cantidad').show();
        // $('#txt_cantidad').show();
    }
}

function cantidadVerificar() {
    let txtCantidad = $('#txt_cantidad');
    txtCantidad.valid();
}

function tipoCargaVerificar() {
    tipoCarga  = $('#cmb_tipoCarga').val();
    tipoCargaCalcularMaximo()
}

function tipoCargaCalcularMaximo() {
    if( tipoCarga == 'pallet') {
        tipoCargaMax = $('#txt_cantMaxPallet').val();
    } else if( tipoCarga == 'granel') {
        tipoCargaMax = $('#txt_cantMaxGranel').val();
    }
    tipoCargaMax = parseInt(tipoCargaMax);
}